summaryrefslogtreecommitdiff
path: root/help/C/progress.page
diff options
context:
space:
mode:
authorYasumichi Akahoshi <yasumichi@vinelinux.org>2011-11-19 02:55:00 +0900
committerTiffany Antopolski <tiffany.antopolski@gmail.com>2011-12-17 13:23:47 -0500
commitf1bf713d0fcd86d38b119d95b276f67245123810 (patch)
tree0c6fe0869ff8d74b15850cdb15c4c0975c45f373 /help/C/progress.page
parent43b79214894e293b08d4f8bdbe19243bf62d0559 (diff)
Add mallard pages and update screenshots.
Signed-off-by: Yasumichi Akahoshi <yasumichi@vinelinux.org>
Diffstat (limited to 'help/C/progress.page')
-rw-r--r--help/C/progress.page79
1 files changed, 79 insertions, 0 deletions
diff --git a/help/C/progress.page b/help/C/progress.page
new file mode 100644
index 0000000..caabb16
--- /dev/null
+++ b/help/C/progress.page
@@ -0,0 +1,79 @@
+<page xmlns="http://projectmallard.org/1.0/"
+ type="topic"
+ id="progress">
+ <info>
+ <link type="guide" xref="index#dialogs"/>
+ <desc>Use the <cmd>--progress</cmd> option.</desc>
+ </info>
+ <title>Progress Dialog</title>
+ <p>
+ Use the <cmd>--progress</cmd> option to create a progress dialog.
+ </p>
+
+ <p>
+ <app>Zenity</app> reads data from standard input line by line. If a line is prefixed with #, the text is updated with the text on that line. If a line contains only a number, the percentage is updated with that number.
+ </p>
+
+ <p>
+ The progress dialog supports the following options:
+ </p>
+
+ <terms>
+
+ <item>
+ <title><cmd>--text</cmd>=<var>text</var></title>
+ <p>Specifies the text that is displayed in the progress dialog.</p>
+ </item>
+
+ <item>
+ <title><cmd>--percentage</cmd>=<var>percentage</var></title>
+ <p>Specifies the initial percentage that is set in the progress dialog.</p>
+ </item>
+
+ <item>
+ <title><cmd>--auto-close</cmd></title>
+ <p>Closes the progress dialog when 100% has been reached.</p>
+ </item>
+
+ <item>
+ <title><cmd>--pulsate</cmd></title>
+ <p>Specifies that the progress bar pulsates until an EOF character is read from standard input.</p>
+ </item>
+
+ </terms>
+
+ <p>
+ The following example script shows how to create a progress dialog:
+ </p>
+
+<code>
+#!/bin/sh
+(
+echo "10" ; sleep 1
+echo "# Updating mail logs" ; sleep 1
+echo "20" ; sleep 1
+echo "# Resetting cron jobs" ; sleep 1
+echo "50" ; sleep 1
+echo "This line will just be ignored" ; sleep 1
+echo "75" ; sleep 1
+echo "# Rebooting system" ; sleep 1
+echo "100" ; sleep 1
+) |
+zenity --progress \
+ --title="Update System Logs" \
+ --text="Scanning mail logs..." \
+ --percentage=0
+
+if [ "$?" = -1 ] ; then
+ zenity --error \
+ --text="Update canceled."
+fi
+</code>
+
+
+ <figure id="zenity-progress-screenshot">
+ <title>Progress Dialog Example</title>
+ <desc><app>Zenity</app> progress dialog example</desc>
+ <media type="image" mime="image/png" src="figures/zenity-progress-screenshot.png"/>
+ </figure>
+</page>